Bug 1131952 - (CVE-2019-11025) VUL-1: CVE-2019-11025: cacti: an XSS vulnerability exists due to missing escape before printing the SNMP community string
(CVE-2019-11025)
VUL-1: CVE-2019-11025: cacti: an XSS vulnerability exists due to missing esca...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Andreas Stieger
E-mail List
https://smash.suse.de/issue/229228/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-09 09:20 UTC by Alexandros Toptsoglou
Modified: 2020-04-11 13:30 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-04-09 09:20:52 UTC
CVE-2019-11025

In clearFilter() in utilities.php in Cacti before 1.2.3, no escaping occurs
before printing out the value of the SNMP community string (SNMP Options) in the
View poller cache, leading to XSS.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-11025
http://www.cvedetails.com/cve/CVE-2019-11025/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11025
https://github.com/Cacti/cacti/issues/2581
https://github.com/Cacti/cacti/compare/6ea486a...99995bb
Comment 1 Tomáš Chvátal 2019-07-11 11:41:12 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 2 Marcus Meissner 2019-07-12 06:23:22 UTC
unfixed in 15.0 and 15.1 still
Comment 3 Andreas Stieger 2020-04-11 13:30:32 UTC
Leap 15.1 is at 1.2.9 with previous update, closing